Bug 481760 - yum-cron doesn't conform to selinux policy
yum-cron doesn't conform to selinux policy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 09:19 EST by Vadym Chepkov
Modified: 2009-11-18 06:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 06:18:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2009-01-27 09:19:52 EST
yum-cron-0.8.3-1.fc10.noarch creates a temporary file in /var/run/. The temporary file gets context rpm_var_run_t and mailx running in domain system_mail_t denied read access to it:

type=AVC msg=audit(1232788787.310:1787): avc:  denied { read } for  pid=9836 comm="mail" path="/var/run/yum-cron.EHQJws" dev=dm-3 ino=77843 scontext=system_u:system_r:system_mail_t:s0-s0:c0.c1023 tcontext=system_u:object_r:rpm_var_run_t:s0 tclass=file
Comment 1 Habig, Alec 2009-01-28 11:05:39 EST
Putting the temp file in /var/run was what I was instructed to do to make it easier for selinux to play nicely with yum-cron, in bug 431588.

Dan, is there something which needs tweaked on the policy side to complete the loop?
Comment 2 Daniel Walsh 2009-02-10 10:45:25 EST
		mta_system_content(rpm_var_run_t)
Comment 3 Daniel Walsh 2009-02-10 10:46:03 EST
Miroslav could you add,

mta_system_content(rpm_var_run_t) to F9 and F10.
Comment 4 Daniel Walsh 2009-02-10 10:47:40 EST
F9 actually needs

mta_mailcontent(rpm_var_run_t)
Comment 5 Miroslav Grepl 2009-02-12 09:52:21 EST
Fixed in selinux-policy-3.5.13-45.fc10
Comment 6 Bug Zapper 2009-11-18 05:53:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.